VDPAU: VdpPictureInfoAV1 Struct Reference

VDPAU

Data Fields
VdpPictureInfoAV1 Struct Reference
Core API » VdpDecoder; Video Decoding object

Picture parameter information for an AV1 picture. More...

`#include <vdpau.h>`

## Data Fields
unsigned int | width
unsigned int | height
unsigned int | frame_offset
unsigned int | profile
unsigned int | use_128x128_superblock
unsigned int | subsampling_x
unsigned int | subsampling_y
unsigned int | mono_chrome
unsigned int | bit_depth_minus8
unsigned int | enable_filter_intra
unsigned int | enable_intra_edge_filter
unsigned int | enable_interintra_compound
unsigned int | enable_masked_compound
unsigned int | enable_dual_filter
unsigned int | enable_order_hint
unsigned int | order_hint_bits_minus1
unsigned int | enable_jnt_comp
unsigned int | enable_superres
unsigned int | enable_cdef
unsigned int | enable_restoration
unsigned int | enable_fgs
unsigned int | frame_type
unsigned int | show_frame
unsigned int | disable_cdf_update
unsigned int | allow_screen_content_tools
unsigned int | force_integer_mv
unsigned int | coded_denom
unsigned int | allow_intrabc
unsigned int | allow_high_precision_mv
unsigned int | interp_filter
unsigned int | switchable_motion_mode
unsigned int | use_ref_frame_mvs
unsigned int | disable_frame_end_update_cdf
unsigned int | delta_q_present
unsigned int | delta_q_res
unsigned int | using_qmatrix
unsigned int | coded_lossless
unsigned int | use_superres
unsigned int | tx_mode
unsigned int | reference_mode
unsigned int | allow_warped_motion
unsigned int | reduced_tx_set
unsigned int | skip_mode
unsigned int | num_tile_cols
unsigned int | num_tile_rows
unsigned int | context_update_tile_id
unsigned short | tile_widths [64]
unsigned short | tile_heights [64]
unsigned int | tile_info [256 *2]
unsigned char | cdef_damping_minus_3
unsigned char | cdef_bits
unsigned char | cdef_y_strength [8]
unsigned char | cdef_uv_strength [8]
unsigned char | SkipModeFrame0
unsigned char | SkipModeFrame1
unsigned char | base_qindex
char | qp_y_dc_delta_q
char | qp_u_dc_delta_q
char | qp_v_dc_delta_q
char | qp_u_ac_delta_q
char | qp_v_ac_delta_q
unsigned char | qm_y
unsigned char | qm_u
unsigned char | qm_v
unsigned char | segmentation_enabled
unsigned char | segmentation_update_map
unsigned char | segmentation_update_data
unsigned char | segmentation_temporal_update
short | segmentation_feature_data [8][8]
unsigned char | segmentation_feature_mask [8]
unsigned char | loop_filter_level [2]
unsigned char | loop_filter_level_u
unsigned char | loop_filter_level_v
unsigned char | loop_filter_sharpness
char | loop_filter_ref_deltas [8]
char | loop_filter_mode_deltas [2]
unsigned char | loop_filter_delta_enabled
unsigned char | loop_filter_delta_update
unsigned char | delta_lf_present
unsigned char | delta_lf_res
unsigned char | delta_lf_multi
unsigned char | reserved4_2bits
unsigned char | lr_unit_size [3]
unsigned char | lr_type [3]
unsigned int | primary_ref_frame
unsigned int | ref_frame_map [8]
unsigned char | temporal_layer_id
unsigned char | spatial_layer_id
struct { |
unsigned int width |
unsigned int height |
unsigned int index |
} | ref_frame [7]
struct { |
unsigned char invalid |
unsigned char wmtype |
int wmmat [6] |
} | global_motion [7]
unsigned short | apply_grain
unsigned short | overlap_flag
unsigned short | scaling_shift_minus8
unsigned short | chroma_scaling_from_luma
unsigned short | ar_coeff_lag
unsigned short | ar_coeff_shift_minus6
unsigned short | grain_scale_shift
unsigned short | clip_to_restricted_range
unsigned char | num_y_points
unsigned char | scaling_points_y [14][2]
unsigned char | num_cb_points
unsigned char | scaling_points_cb [10][2]
unsigned char | num_cr_points
unsigned char | scaling_points_cr [10][2]
unsigned short | random_seed
short | ar_coeffs_y [24]
short | ar_coeffs_cb [25]
short | ar_coeffs_cr [25]
unsigned char | cb_mult
unsigned char | cb_luma_mult
short | cb_offset
unsigned char | cr_mult
unsigned char | cr_luma_mult
short | cr_offset

## Detailed Description

Picture parameter information for an AV1 picture.

Note: References to bitstream fields below may refer to data literally parsed from the bitstream, or derived from the bitstream using a mechanism described in the specification.

## Field Documentation

## ◆ allow_high_precision_mv

unsigned int VdpPictureInfoAV1::allow_high_precision_mv

## ◆ allow_intrabc

unsigned int VdpPictureInfoAV1::allow_intrabc

## ◆ allow_screen_content_tools

unsigned int VdpPictureInfoAV1::allow_screen_content_tools

## ◆ allow_warped_motion

unsigned int VdpPictureInfoAV1::allow_warped_motion

## ◆ apply_grain

unsigned short VdpPictureInfoAV1::apply_grain

## ◆ ar_coeff_lag

unsigned short VdpPictureInfoAV1::ar_coeff_lag

## ◆ ar_coeff_shift_minus6

unsigned short VdpPictureInfoAV1::ar_coeff_shift_minus6

## ◆ ar_coeffs_cb

short VdpPictureInfoAV1::ar_coeffs_cb[25]

## ◆ ar_coeffs_cr

short VdpPictureInfoAV1::ar_coeffs_cr[25]

## ◆ ar_coeffs_y

short VdpPictureInfoAV1::ar_coeffs_y[24]

## ◆ base_qindex

unsigned char VdpPictureInfoAV1::base_qindex

## ◆ bit_depth_minus8

unsigned int VdpPictureInfoAV1::bit_depth_minus8

## ◆ cb_luma_mult

unsigned char VdpPictureInfoAV1::cb_luma_mult

## ◆ cb_mult

unsigned char VdpPictureInfoAV1::cb_mult

## ◆ cb_offset

short VdpPictureInfoAV1::cb_offset

## ◆ cdef_bits

unsigned char VdpPictureInfoAV1::cdef_bits

## ◆ cdef_damping_minus_3

unsigned char VdpPictureInfoAV1::cdef_damping_minus_3

## ◆ cdef_uv_strength

unsigned char VdpPictureInfoAV1::cdef_uv_strength[8]

## ◆ cdef_y_strength

unsigned char VdpPictureInfoAV1::cdef_y_strength[8]

## ◆ chroma_scaling_from_luma

unsigned short VdpPictureInfoAV1::chroma_scaling_from_luma

## ◆ clip_to_restricted_range

unsigned short VdpPictureInfoAV1::clip_to_restricted_range

## ◆ coded_denom

unsigned int VdpPictureInfoAV1::coded_denom

## ◆ coded_lossless

unsigned int VdpPictureInfoAV1::coded_lossless

## ◆ context_update_tile_id

unsigned int VdpPictureInfoAV1::context_update_tile_id

## ◆ cr_luma_mult

unsigned char VdpPictureInfoAV1::cr_luma_mult

## ◆ cr_mult

unsigned char VdpPictureInfoAV1::cr_mult

## ◆ cr_offset

short VdpPictureInfoAV1::cr_offset

## ◆ delta_lf_multi

unsigned char VdpPictureInfoAV1::delta_lf_multi

## ◆ delta_lf_present

unsigned char VdpPictureInfoAV1::delta_lf_present

## ◆ delta_lf_res

unsigned char VdpPictureInfoAV1::delta_lf_res

## ◆ delta_q_present

unsigned int VdpPictureInfoAV1::delta_q_present

## ◆ delta_q_res

unsigned int VdpPictureInfoAV1::delta_q_res

## ◆ disable_cdf_update

unsigned int VdpPictureInfoAV1::disable_cdf_update

## ◆ disable_frame_end_update_cdf

unsigned int VdpPictureInfoAV1::disable_frame_end_update_cdf

## ◆ enable_cdef

unsigned int VdpPictureInfoAV1::enable_cdef

## ◆ enable_dual_filter

unsigned int VdpPictureInfoAV1::enable_dual_filter

## ◆ enable_fgs

unsigned int VdpPictureInfoAV1::enable_fgs

## ◆ enable_filter_intra

unsigned int VdpPictureInfoAV1::enable_filter_intra

## ◆ enable_interintra_compound

unsigned int VdpPictureInfoAV1::enable_interintra_compound

## ◆ enable_intra_edge_filter

unsigned int VdpPictureInfoAV1::enable_intra_edge_filter

## ◆ enable_jnt_comp

unsigned int VdpPictureInfoAV1::enable_jnt_comp

## ◆ enable_masked_compound

unsigned int VdpPictureInfoAV1::enable_masked_compound

## ◆ enable_order_hint

unsigned int VdpPictureInfoAV1::enable_order_hint

## ◆ enable_restoration

unsigned int VdpPictureInfoAV1::enable_restoration

## ◆ enable_superres

unsigned int VdpPictureInfoAV1::enable_superres

## ◆ force_integer_mv

unsigned int VdpPictureInfoAV1::force_integer_mv

## ◆ frame_offset

unsigned int VdpPictureInfoAV1::frame_offset

## ◆ frame_type

unsigned int VdpPictureInfoAV1::frame_type

## ◆ [struct]

struct { ... } VdpPictureInfoAV1::global_motion[7]

## ◆ grain_scale_shift

unsigned short VdpPictureInfoAV1::grain_scale_shift

## ◆ height

unsigned int VdpPictureInfoAV1::height

## ◆ index

unsigned int VdpPictureInfoAV1::index

## ◆ interp_filter

unsigned int VdpPictureInfoAV1::interp_filter

## ◆ invalid

unsigned char VdpPictureInfoAV1::invalid

## ◆ loop_filter_delta_enabled

unsigned char VdpPictureInfoAV1::loop_filter_delta_enabled

## ◆ loop_filter_delta_update

unsigned char VdpPictureInfoAV1::loop_filter_delta_update

## ◆ loop_filter_level

unsigned char VdpPictureInfoAV1::loop_filter_level[2]

## ◆ loop_filter_level_u

unsigned char VdpPictureInfoAV1::loop_filter_level_u

## ◆ loop_filter_level_v

unsigned char VdpPictureInfoAV1::loop_filter_level_v

## ◆ loop_filter_mode_deltas

char VdpPictureInfoAV1::loop_filter_mode_deltas[2]

## ◆ loop_filter_ref_deltas

char VdpPictureInfoAV1::loop_filter_ref_deltas[8]

## ◆ loop_filter_sharpness

unsigned char VdpPictureInfoAV1::loop_filter_sharpness

## ◆ lr_type

unsigned char VdpPictureInfoAV1::lr_type[3]

## ◆ lr_unit_size

unsigned char VdpPictureInfoAV1::lr_unit_size[3]

## ◆ mono_chrome

unsigned int VdpPictureInfoAV1::mono_chrome

## ◆ num_cb_points

unsigned char VdpPictureInfoAV1::num_cb_points

## ◆ num_cr_points

unsigned char VdpPictureInfoAV1::num_cr_points

## ◆ num_tile_cols

unsigned int VdpPictureInfoAV1::num_tile_cols

## ◆ num_tile_rows

unsigned int VdpPictureInfoAV1::num_tile_rows

## ◆ num_y_points

unsigned char VdpPictureInfoAV1::num_y_points

## ◆ order_hint_bits_minus1

unsigned int VdpPictureInfoAV1::order_hint_bits_minus1

## ◆ overlap_flag

unsigned short VdpPictureInfoAV1::overlap_flag

## ◆ primary_ref_frame

unsigned int VdpPictureInfoAV1::primary_ref_frame

## ◆ profile

unsigned int VdpPictureInfoAV1::profile

## ◆ qm_u

unsigned char VdpPictureInfoAV1::qm_u

## ◆ qm_v

unsigned char VdpPictureInfoAV1::qm_v

## ◆ qm_y

unsigned char VdpPictureInfoAV1::qm_y

## ◆ qp_u_ac_delta_q

char VdpPictureInfoAV1::qp_u_ac_delta_q

## ◆ qp_u_dc_delta_q

char VdpPictureInfoAV1::qp_u_dc_delta_q

## ◆ qp_v_ac_delta_q

char VdpPictureInfoAV1::qp_v_ac_delta_q

## ◆ qp_v_dc_delta_q

char VdpPictureInfoAV1::qp_v_dc_delta_q

## ◆ qp_y_dc_delta_q

char VdpPictureInfoAV1::qp_y_dc_delta_q

## ◆ random_seed

unsigned short VdpPictureInfoAV1::random_seed

## ◆ reduced_tx_set

unsigned int VdpPictureInfoAV1::reduced_tx_set

## ◆ [struct]

struct { ... } VdpPictureInfoAV1::ref_frame[7]

## ◆ ref_frame_map

unsigned int VdpPictureInfoAV1::ref_frame_map[8]

## ◆ reference_mode

unsigned int VdpPictureInfoAV1::reference_mode

## ◆ reserved4_2bits

unsigned char VdpPictureInfoAV1::reserved4_2bits

## ◆ scaling_points_cb

unsigned char VdpPictureInfoAV1::scaling_points_cb[10][2]

## ◆ scaling_points_cr

unsigned char VdpPictureInfoAV1::scaling_points_cr[10][2]

## ◆ scaling_points_y

unsigned char VdpPictureInfoAV1::scaling_points_y[14][2]

## ◆ scaling_shift_minus8

unsigned short VdpPictureInfoAV1::scaling_shift_minus8

## ◆ segmentation_enabled

unsigned char VdpPictureInfoAV1::segmentation_enabled

## ◆ segmentation_feature_data

short VdpPictureInfoAV1::segmentation_feature_data[8][8]

## ◆ segmentation_feature_mask

unsigned char VdpPictureInfoAV1::segmentation_feature_mask[8]

## ◆ segmentation_temporal_update

unsigned char VdpPictureInfoAV1::segmentation_temporal_update

## ◆ segmentation_update_data

unsigned char VdpPictureInfoAV1::segmentation_update_data

## ◆ segmentation_update_map

unsigned char VdpPictureInfoAV1::segmentation_update_map

## ◆ show_frame

unsigned int VdpPictureInfoAV1::show_frame

## ◆ skip_mode

unsigned int VdpPictureInfoAV1::skip_mode

## ◆ SkipModeFrame0

unsigned char VdpPictureInfoAV1::SkipModeFrame0

## ◆ SkipModeFrame1

unsigned char VdpPictureInfoAV1::SkipModeFrame1

## ◆ spatial_layer_id

unsigned char VdpPictureInfoAV1::spatial_layer_id

## ◆ subsampling_x

unsigned int VdpPictureInfoAV1::subsampling_x

## ◆ subsampling_y

unsigned int VdpPictureInfoAV1::subsampling_y

## ◆ switchable_motion_mode

unsigned int VdpPictureInfoAV1::switchable_motion_mode

## ◆ temporal_layer_id

unsigned char VdpPictureInfoAV1::temporal_layer_id

## ◆ tile_heights

unsigned short VdpPictureInfoAV1::tile_heights[64]

## ◆ tile_info

unsigned int VdpPictureInfoAV1::tile_info[256 *2]

## ◆ tile_widths

unsigned short VdpPictureInfoAV1::tile_widths[64]

## ◆ tx_mode

unsigned int VdpPictureInfoAV1::tx_mode

## ◆ use_128x128_superblock

unsigned int VdpPictureInfoAV1::use_128x128_superblock

## ◆ use_ref_frame_mvs

unsigned int VdpPictureInfoAV1::use_ref_frame_mvs

## ◆ use_superres

unsigned int VdpPictureInfoAV1::use_superres

## ◆ using_qmatrix

unsigned int VdpPictureInfoAV1::using_qmatrix

## ◆ width

unsigned int VdpPictureInfoAV1::width

## ◆ wmmat

int VdpPictureInfoAV1::wmmat[6]

## ◆ wmtype

unsigned char VdpPictureInfoAV1::wmtype

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h